import Database from 'better-sqlite3'

/**
 *
 *
 * @return {[Object]}
 *
 */

function getDB() {
    const db = new Database('./storage/db/main.db')
    db.pragma('journal_mode = WAL')

    return db
}

/**
 *  creating db 
 *
 *
 */

function migrateDB() {
    const db = getDB()
    db.prepare('CREATE TABLE IF NOT EXISTS states (id INTEGER PRIMARY KEY, name TEXT NOT NULL, date_lastrun TEXT)').run()
}


export {
    migrateDB,
    getDB
}
