import fs from 'fs'
import path from 'path'
import yaml from 'js-yaml'

/**
 *
 *
 *
 */

function loadEnabledConfig() {

    const configs = []
    const directoryPath = path.join(path.resolve(), 'resources/config')

    // load file for main config
    const mainConfig = yaml.load(fs.readFileSync(directoryPath + '/config.yml'))

    // load files from enabled
    const configFiles = fs.readdirSync(directoryPath + '/enabled')

    configFiles.forEach((file, index) => {
        const result = yaml.load(fs.readFileSync(directoryPath + '/enabled/' + file))

        if (result) {
            configs.push(result)
        }
    })

    return configs
}

export {
    loadEnabledConfig
}
